Bug 840207 - (CVE-2012-1966) CVE-2012-1966 Mozilla: XSS and code execution through data: URLs (MFSA 2012-46)
CVE-2012-1966 Mozilla: XSS and code execution through data: URLs (MFSA 2012-46)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120717,repor...
: Security
Depends On:
Blocks: 835033
  Show dependency treegraph
 
Reported: 2012-07-14 07:53 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 03:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-14 07:53:07 EDT
Mozilla security researcher moz_bug_r_a4 reported a cross-site scripting (XSS) attack through the context menu using a data: URL. In this issue, context menu functionality ("View Image", "Show only this frame", and "View background image") are disallowed in a javascript: URL but allowed in a data: URL, allowing for XSS. This can lead to arbitrary code execution. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
Comment 1 Huzaifa S. Sidhpurwala 2012-07-14 07:56:18 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges moz_bug_r_a4 as the original reporter of this issue.
Comment 2 errata-xmlrpc 2012-07-17 15:28:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1088 https://rhn.redhat.com/errata/RHSA-2012-1088.html

Note You need to log in before you can comment on or make changes to this bug.